class bi_curl (
    $package_name = hiera("package_name", undef),
    $exe_path = hiera("exe_path", undef),
) {

    if $package_name == undef or !is_string($package_name) { 
        fail("'package_name' must be defined") 
    }
    
    if $exe_path == undef or !is_string($exe_path) { 
        fail("'exe_path' must be defined") 
    }
    
    package { $package_name:
        ensure => 'installed',
        #allow_virtual => false,
    }
    
    # Explicitly set allow_virtual to disable deprecation warning
    # http://docs.puppetlabs.com/puppet/3.6/reference/release_notes.html#changes-to-rpm-behavior-with-virtual-packages
  
}
